<?php
/**
 * Specific import code for WP Job Manager.
 *
 * @package GoFetch/WPJM/Admin/Import
 */

 if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

require_once dirname( GOFT_WPJM_PLUGIN_FILE ) . '/includes/class-gofetch-importer.php';

/**
 * WPJM specific import functionality.
 */
class GoFetch_WPJM_Admin_Settings extends GoFetch_Importer {

	/**
	 * @var The single instance of the class.
	 */
	protected static $_instance = null;

	public static function instance() {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}

	public function __construct() {
		add_filter( 'goft_wpjm_geocomplete_hidden_fields', array( $this, 'geocomplete_hidden_fields' ) );
	}

	/**
	 * Geolocation meta fields.
	 */
	public function geocomplete_hidden_fields( $fields = array() ) {
		return array_merge( $fields, array(
			'geolocation_formatted_address' => 'formatted_address',
			'geolocation_city'              => 'city',
			'geolocation_lat'               => 'lat',
			'geolocation_long'              => 'lng',
			'geolocation_country_long'      => 'country',
			'geolocation_country_short'     => 'country_short',
			'geolocation_state_short'       => 'administrative_area_level_1_short',
			'geolocation_state_long'        => 'administrative_area_level_1',
		) );
	}
}

GoFetch_WPJM_Admin_Settings::instance();
