<?php
/**
 * Contains all the options used by the plugin.
 */

$GLOBALS['goft_wpjm_options'] = new scbOptions( 'goft_wpjm_options', __FILE__, array(

	// Templates.
	'templates'               => array(),

	// General.
	'admin_jobs_filter'       => false,
	'admin_provider_filter'   => false,
	'admin_jobs_provider_col' => false,

	// Importing.
	'rss_item_check_updates' => 'ignore_all',
	'keyword_matching'       => 'all',
	'use_cors_proxy'         => false,

	// Geocode.
	'geocode_api_key'         => '',
	'geocode_rate_limit'      => 50,

	// Jobs.
	'allow_visitors_apply'       => false,
	'read_more_text'             => '[...]',
	'apply_to_job_text'          => __( 'To apply, please visit the following URL:', 'gofetch-wpjm' ),
	'apply_to_job_hide_link'     => false,
	'canonical_links'            => false,
	'block_search_indexing'      => false,
	'post_status'                => 'publish',
	'jobs_duration'              => get_option( 'job_manager_submission_duration' ),
	'independent_listings'       => false,
	'filter_imported_jobs'       => false,
	'filter_imported_jobs_label' => 'External Jobs',
	'filter_site_jobs_label'     => 'Our Jobs',

	// Debugging.
	'debug_log'                => false,

	// Scheduler.
	'scheduler_start_time'     => '09:00',
	'scheduler_interval_sleep' => '5',

	// @todo: find a way to extend these options.

	// Indeed
	'indeed_publisher_id'          => '',
	'indeed_feature_sponsored'     => '',
	'indeed_feed_default_radius'   => 25,
	'indeed_feed_default_latlong'  => true,
	'indeed_feed_default_co'       => 'us',
	'indeed_feed_default_fromage'  => '',
	'indeed_feed_default_st'       => 'jobsite',
	'indeed_feed_default_chnl'     => '',
	'indeed_feed_default_sort'     => 'relevance',
	'indeed_feed_default_limit'    => 25,
	'indeed_feed_default_jt'       => '',
	'indeed_block_search_indexing' => true,

	// Carerjet
	'careerjet_publisher_id'                => '',
	'careerjet_feed_default_locale_code'    => 'en_GB',
	'careerjet_feed_default_contracttype'   => '',
	'careerjet_feed_default_contractperiod' => '',
	'careerjet_feed_default_sort'           => 'relevance',
	'careerjet_feed_default_pagesize'       => 50,
	'careerjet_block_search_indexing'       => false,

	// ZipRecruiter
	'ziprecruiter_api_key'                       => '',
	'ziprecruiter_feed_default_jobs_per_page'    => 50,
	'ziprecruiter_feed_default_radius'           => 25,
	'ziprecruiter_feed_default_days_ago'         => '',
	'ziprecruiter_feed_default_refine_by_salary' => '',
	'ziprecruiter_block_search_indexing'         => true,

	// AdView
	'adview_publisher_id'                       => '',
	'adview_feed_default_snippet'               => 'full',
	'adview_feed_default_radius'                => 25,
	'adview_feed_default_salary_from'           => '',
	'adview_feed_default_salary_to'             => '',
	'adview_feed_default_channel'               => '',
	'adview_feed_default_sort'                  => 'relevance',
	'adview_feed_default_limit'                 => 50,
	'adview_feed_default_job_type'              => '',
	'adview_feed_default_mode'                  => 'advanced',
	'adview_feed_default_track_update_interval' => 6,
	'adview_expire_jobs'                        => false,
	'adview_block_search_indexing'              => false,

	// CV-Library
	// see https://www.cv-library.co.uk/developers/job-search-api#api
	'cvlibrary_api_key'                    => '',
	'cvlibrary_api_affid'                  => '',
	'cvlibrary_feed_default_distance'      => 50,
	'cvlibrary_feed_default_salary_type'   => 'annum',
	'cvlibrary_feed_default_salary_min'    => '',
	'cvlibrary_feed_default_salary_max'    => '',
	'cvlibrary_feed_default_jobtype'       => '',
	'cvlibrary_feed_default_jobs_per_page' => 50,
	'cvlibrary_feed_default_sort'          => 'sm',
	'cvlibrary_feed_default_days_posted'   => 3,
	'cvlibrary_feed_default_apply_url'     => 0,
	'cvlibrary_feed_default_industry'      => array( 13 ),
	'cvlibrary_block_search_indexing'      => false,

	// Jobs2Careers
	'jobs2careers_publisher_id'               => '',
	'jobs2careers_publisher_pass'             => '',
	'jobs2careers_feed_default_distance'      => 40,
	'jobs2careers_feed_default_jobtype'       => array( 1, 2, 4 ),
	'jobs2careers_feed_default_full_job_desc' => 1,
	'jobs2careers_feed_default_mobile_only'   => '',
	'jobs2careers_feed_default_jobs_per_page' => 50,
	'jobs2careers_feed_default_sort'          => 'r',
	'jobs2careers_feed_default_link'          => 1,
	'jobs2careers_feed_default_industry'      => array( 35 ),
	'jobs2careers_block_search_indexing'      => false,

	// Text formatting
	'auto_format_descriptions'            => false,
	'format_descriptions_paragraph_check' => 2,
	'format_descriptions_stops_split'     => 4,


	// Setup - WPJM
	'setup_post_type'               => 'job_listing',
	'setup_job_category'            => 'job_listing_category',
	'setup_job_type'                => 'job_listing_type',
	'setup_expired_status'          => 'expired',
	'setup_field_company_name'      => '_company_name',
	'setup_field_company_logo'      => '_company_logo',
	'setup_field_company_url'       => '_company_website',
	'setup_field_location'          => '_job_location',
	'setup_field_formatted_address' => 'geolocation_formatted_address',
	'setup_field_country'           => 'geolocation_country_short',
	'setup_field_city'              => 'geolocation_city',
	'setup_field_state'             => 'geolocation_state_short',
	'setup_field_latitude'          => 'geolocation_lat',
	'setup_field_longitude'         => 'geolocation_long',
	'setup_field_application'       => '_application',
	'setup_field_featured'          => '_featured',
	'setup_field_expiration'        => '_job_expires',

) );
